.section-icons-vertical {
  background-color: var(--gray-1);
  padding: 3.2rem 0;

  > .container .swiper-slide,
  > .container .swiper-slide a {
    display: flex;
    align-items: center;
    flex-direction: column;
    height: auto;
  }

  > .container .swiper-slide a {
    height: 100%;
  }

  > .container .image-icon {
    height: 5rem;
    width: 5rem;
    position: relative;

    &:not(:last-child) {
      margin-bottom: 0.8rem;
    }

    img {
      height: 100%;
      object-fit: contain;
      width: 100%;
    }
  }

  > .container .text {
    max-width: 27.8rem;
    text-align: center;
  }

  // Alinha so textos com os demais, caso não possua imagem
  > .container .swiper-slide.-imageless .text {
    margin-top: auto;
  }

  > .container .icon-title {
    font-weight: 600;
    font-size: var(--font-size-base);

    &:not(:last-child) {
      margin-bottom: 0.8rem;
    }
  }

  > .container .text p {
    font-size: var(--font-size-small);
    color: var(--gray-3);
  }

  > .container .swiper-pagination {
    position: static !important;
    margin-top: 3.2rem;
    margin-left: auto;
    margin-right: auto;
    width: 100% !important;
  }
}
